Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::HardwareVertexBufferSharedPtr Class Reference

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareVertexBuffer.h>`

Inheritance diagram for Ogre::HardwareVertexBufferSharedPtr:

[legend]
List of all members.

## Public Methods

| HardwareVertexBufferSharedPtr ()
| HardwareVertexBufferSharedPtr (HardwareVertexBuffer *buf)
HardwareVertexBuffer & | operator * () const
HardwareVertexBuffer * | operator-> () const
HardwareVertexBuffer * | get () const
void | bind (HardwareVertexBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
HardwareVertexBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Methods

void | release (void)
virtual void | destroy (void)

## Protected Attributes

HardwareVertexBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 60 of file OgreHardwareVertexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( |  | ) |

| Definition at line 63 of file OgreHardwareVertexBuffer.h.

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( | HardwareVertexBuffer * | buf | ) |

| Definition at line 519 of file OgreHardwareVertexBuffer.cpp.

## Member Function Documentation

void Ogre::SharedPtr< HardwareVertexBuffer >::bind | ( | HardwareVertexBuffer * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 85 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareVertexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 115 of file OgreSharedPtr.h.

HardwareVertexBuffer* Ogre::SharedPtr< HardwareVertexBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 79 of file OgreSharedPtr.h. Referenced by Ogre::HardwareBufferManager::_forceReleaseBufferCopies(), Ogre::GLRenderSystem::_render(), Ogre::HardwareBufferManager::allocateVertexBufferCopy(), Ogre::TempBlendedBufferInfo::licenseExpired(), and Ogre::Mesh::softwareVertexBlend().

HardwareVertexBuffer* Ogre::SharedPtr< HardwareVertexBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 94 of file OgreSharedPtr.h. Referenced by Ogre::HardwareBufferManager::allocateVertexBufferCopy(), Ogre::HardwareBufferManager::registerVertexBufferSourceAndCopy(), and Ogre::HardwareBufferManager::releaseVertexBufferCopy().

bool Ogre::SharedPtr< HardwareVertexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 96 of file OgreSharedPtr.h. Referenced by Ogre::TempBlendedBufferInfo::bindTempCopies(), Ogre::Mesh::buildTangentVectors(), Ogre::TempBlendedBufferInfo::checkoutTempCopies(), Ogre::Entity::cloneVertexDataRemoveBlendInfo(), and Ogre::Entity::EntityShadowRenderable::EntityShadowRenderable().

HardwareVertexBuffer& Ogre::SharedPtr< HardwareVertexBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 77 of file OgreSharedPtr.h.

HardwareVertexBuffer* Ogre::SharedPtr< HardwareVertexBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 78 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 106 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 98 of file OgreSharedPtr.h. Referenced by Ogre::Entity::extractTempBufferInfo(), and Ogre::TempBlendedBufferInfo::licenseExpired().

bool Ogre::SharedPtr< HardwareVertexBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 91 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareVertexBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 92 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareVertexBuffer* Ogre::SharedPtr< HardwareVertexBuffer >::pRep`[protected, inherited]`

| Definition at line 44 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareVertexBuffer >::pUseCount`[protected, inherited]`

| Definition at line 45 of file OgreSharedPtr.h.

The documentation for this class was generated from the following files:

- OgreHardwareVertexBuffer.h
- OgreHardwareVertexBuffer.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:05 2004